Package org.codehaus.groovy.tools.javac

## Class JavaStubGenerator

- java.lang.Object
- - org.codehaus.groovy.tools.javac.JavaStubGenerator

-     public class JavaStubGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaStubGenerator​(File outputPath)` |
    `JavaStubGenerator​(File outputPath, boolean requireSuperResolved, boolean java5, String encoding)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clean()` |
    `void` | `generateClass​(ClassNode classNode)` |
    `Set<JavaFileObject>` | `getJavaStubCompilationUnitSet()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaStubGenerator

          public JavaStubGenerator​(File outputPath,
                                   boolean requireSuperResolved,
                                   boolean java5,
                                   String encoding)

    - #### JavaStubGenerator

          public JavaStubGenerator​(File outputPath)

  - ### Method Detail

    - #### generateClass

          public void generateClass​(ClassNode classNode)
                             throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### clean

          public void clean()

    - #### getJavaStubCompilationUnitSet

          public Set<JavaFileObject> getJavaStubCompilationUnitSet()